## DzlCenteringBin

DzlCenteringBin

## Functions

GtkWidget * | dzl_centering_bin_new ()

## Properties

int | max-width-request | Read / Write

## Types and Values

#define | DZL_TYPE_CENTERING_BIN
struct | DzlCenteringBinClass
| DzlCenteringBin

## Object Hierarchy

        GObject
        ╰── GInitiallyUnowned
            ╰── GtkWidget
                ╰── GtkContainer
                    ╰── GtkBin
                        ╰── DzlCenteringBin

## Implemented Interfaces

DzlCenteringBin implements AtkImplementorIface and GtkBuildable.

## Description

## Functions

### dzl_centering_bin_new ()

    GtkWidget *
    dzl_centering_bin_new (void);

## Types and Values

### DZL_TYPE_CENTERING_BIN

    #define DZL_TYPE_CENTERING_BIN (dzl_centering_bin_get_type())

### struct DzlCenteringBinClass

    struct DzlCenteringBinClass {
      GtkBinClass parent;
    };

### DzlCenteringBin

    typedef struct _DzlCenteringBin DzlCenteringBin;

## Property Details

### The `“max-width-request”` property

      “max-width-request”        int

Max Width Request.

Owner: DzlCenteringBin

Flags: Read / Write

Allowed values: >= -1

Default value: -1